import React,{Component} from 'react'
import {Select,Icon,Popconfirm} from 'antd'

import { inject, observer } from 'mobx-react'
import {Link,withRouter} from 'react-router-dom'

const Option = Select.Option

@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class Header extends Component{
    constructor(props)
    {
        super(props)
    }
    logout=()=>{
        this.props.UserContext.logout()
        this.props.history.push('/login')
    }
    render()
    {
        return <div >
                <h2 style={{color:'white'}}>单证通技术方案演示</h2>
                <div style={{position:'absolute',right:'2em',top:'1em'}}>
                    <Popconfirm title="确定退出？" onConfirm={this.logout} ><span style={{color:'white',cursor:'pointer'}}><Icon type="logout" />退出</span></Popconfirm>
                    <Select  size="small" value={this.props.i18n.lang} onChange={val=>this.props.i18n.lang=val}>
                        <Option value="zh">中文</Option>
                        <Option value="en">English</Option>
                    </Select>
                </div>
            </div>
    }
} 