import React,{Component} from 'react'
import { Switch, Route, Redirect } from 'react-router-dom';

import {Layout} from 'antd' 

import HeaderCom from './Header'
import SideMenuCom from './SideMenu'
import ContainerCom from './Container'

import './index.less'

import Home from '../Home'

import PXIRouter from '../Business/PXI'
import FETRouter from '../Business/FET'

const {
  Header, Footer, Sider, Content,
} = Layout;

export default class LayoutCom extends Component {
    constructor(props)
    {
        super(props)
    }
    
    render()
    {
        return (
            <Layout className="x_layout">
                <Header >
                   <HeaderCom/> 
                </Header>
                <Layout className="xx_layout">
                    <Sider className="sideMenu">
                        <SideMenuCom />
                    </Sider>
                    <Content className="xxx_content">
                        <ContainerCom>
                            {/*模块路由配置*/}
                            <Switch>
                                <Route path="/home"  component={Home} />
                                {/*模块路由插入开始*/}
                                <Route path="/business/pxi"  component={PXIRouter} />
                                <Route path="/business/fet"  component={FETRouter} />
                                {/*模块路由插入结束*/}
                                <Redirect path="/" to="/home" />
                            </Switch>
                        </ContainerCom>
                    </Content>
                </Layout>
            </Layout>
        )
    }
}